"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const header_1 = require("./header");
const utils_1 = require("./utils");
class Header extends React.Component {
    constructor() {
        super();
        this.handleScroll = this.handleScroll.bind(this);
        this.backgroundColor = this.backgroundColor.bind(this);
        this.state = {
            headerState: {
                state: 'Pinned',
                position: 0,
                height: 0,
            },
        };
    }
    componentDidMount() {
        if (typeof window !== 'undefined') {
            window.addEventListener('scroll', this.handleScroll);
        }
    }
    componentWillUnmount() {
        if (typeof window !== 'undefined') {
            window.removeEventListener('scroll', this.handleScroll);
        }
    }
    handleScroll() {
        const header = document.getElementsByTagName('header')[0];
        const nextState = utils_1.default(window, header, this.state.headerState);
        this.setState({
            headerState: nextState,
        });
    }
    backgroundColor() {
        const header = document.getElementsByTagName('header')[0];
        if (typeof window !== 'undefined' && typeof header !== 'undefined') {
            const isDocked = window.pageYOffset <= header.clientHeight + 100;
            return !isDocked
                ? '#0a0a0a'
                : 'transparent';
        }
        return '';
    }
    render() {
        const _a = this.props, { children } = _a, rest = __rest(_a, ["children"]);
        const backgroundColor = this.backgroundColor();
        return (React.createElement(header_1.default, Object.assign({}, rest, { backgroundColor: backgroundColor, height: this.state.headerState.height, state: this.state.headerState.state }), children));
    }
}
exports.default = Header;
//# sourceMappingURL=index.js.map