"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
function background(props) {
    if (props.backgroundImage) {
        return styled_components_1.css `
      background: ${(props) => `url(${props.backgroundImage})`} center center / cover no-repeat;
    `;
    }
    else if (props.backgroundColor) {
        return styled_components_1.css `
      background-color: ${(props) => props.backgroundColor};
    `;
    }
}
function height(props) {
    if (props.height) {
        const height = typeof props.height === 'string'
            ? props.height
            : `${props.height}px`;
        return styled_components_1.css `
      height: ${height};
    `;
    }
    if (props.full) {
        return styled_components_1.css `
      height: 100vh;
    `;
    }
    return styled_components_1.css `
    height: auto;
    min-height: 350px;
  `;
}
exports.default = styled_components_1.default.div `
  text-align: center;
  width: 100%;
  ${(props) => background(props)}
  ${(props) => height(props)}
`;
//# sourceMappingURL=styles.js.map