/// <reference types="react" />
import * as React from 'react';
import BoxProps from '../Box/types';
import { Status } from './types';
export interface Props extends BoxProps {
    message?: JSX.Element | string;
    children?: JSX.Element;
    onClose?: () => void;
    status?: Status;
}
export interface State {
    isVisible: boolean;
    isUnmounting: boolean;
}
export default class Toast extends React.Component<Props, State> {
    static defaultProps: {
        status: "error" | "none" | "ok" | "warning";
    };
    constructor();
    componentDidMount(): void;
    private handleClose();
    render(): JSX.Element;
}
