"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
function styles(props) {
    const opacity = props.isVisible ? 1.0 : 0.0;
    const transform = props.isVisible ? 0 : 20;
    switch (props.type) {
        case 'fadeIn':
            return styled_components_1.css `
      opacity: ${opacity};
    `;
        case 'fadeInUp':
            return styled_components_1.css `
      opacity: ${opacity};
      transform: translateY(${transform}%);
      will-change: transform, opacity;
    `;
        default:
            return '';
    }
}
function transition(props) {
    const duration = 600;
    return styled_components_1.css `
    transition: transform ${duration / 2}ms ease, opacity ${duration}ms ease-out;
  `;
}
function delay({ delay }) {
    return styled_components_1.css `
    transition-delay: ${delay}ms;
  `;
}
exports.default = styled_components_1.default.div `
  ${(props) => styles(props)}
  ${(props) => transition(props)}
  ${(props) => delay(props)}
  ${(props) => props.css}
`;
//# sourceMappingURL=animation.js.map